%global momorel 2

# Set --with testsuite or %bcond_without to run the Samba torture testsuite.
%bcond_with testsuite

%define samba_version 4.8.3
%define talloc_version 2.1.11
%define tdb_version 1.3.15
%define tevent_version 0.9.36
%define ldb_version 1.4.0

%define samba_release %{momorel}m%{?dist}

%global with_libsmbclient 1
%global with_libwbclient 1

%global with_internal_talloc 0
%global with_internal_tevent 0
%global with_internal_tdb 0
%global with_internal_ldb 0

%global with_profiling 1

%global libwbc_alternatives_version 0.14
%global libwbc_alternatives_suffix %nil
%if 0%{?__isa_bits} == 64
%global libwbc_alternatives_suffix -64
%endif

%global with_mitkrb5 1
%global with_dc 0

%if %{with testsuite}
# The testsuite only works with a full build right now.
%global with_mitkrb5 0
%global with_dc 1
%endif

%global with_clustering_support 0
%global with_vfs_cephfs 0
%global with_vfs_glusterfs 0

%{!?python_libdir: %define python_libdir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1,1)")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global _systemd_extra "Environment=KRB5CCNAME=FILE:/run/samba/krb5cc_samba"

Name:           samba
Version:        %{samba_version}
Release:        %{samba_release}

%if 0%{?epoch} > 0
%define samba_depver %{epoch}:%{version}-%{release}
%else
%define samba_depver %{version}-%{release}
%endif

Summary:        Server and Client software to interoperate with Windows machines
License:        GPLv3+ and LGPLv3+
Group:          System Environment/Daemons
URL:            http://www.samba.org/

Source0:        http://samba.org/%{name}/ftp/stable/%{name}-%{version}.tar.gz
NoSource:       0

# Red Hat specific replacement-files
Source1: samba.log
Source2: samba.xinetd
Source3: smb.conf.vendor
Source4: smb.conf.example
Source5: pam_winbind.conf
Source6: samba.pamd

Source200: README.dc
Source201: README.downgrade

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): /usr/sbin/groupadd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

Requires(pre): %{name}-common = %{samba_version}-%{release}
Requires: %{name}-libs = %{samba_version}-%{release}

Provides: samba4 = %{samba_version}-%{release}
Obsoletes: samba4 < %{samba_version}-%{release}
Obsoletes: samba-domainjoin-gui
Obsoletes: samba-doc
Obsoletes: samba-winbind-devel
Obsoletes: samba-swat

BuildRequires: autoconf
%if %with_clustering_support
BuildRequires: ctdb-devel >= 1.2.39
%endif
BuildRequires: cups-devel
BuildRequires: cyrus-sasl-devel >= 2.1.26
BuildRequires: dmapi-devel >= 2.2.12-4m
BuildRequires: docbook-style-xsl
BuildRequires: e2fsprogs-devel
BuildRequires: gawk
BuildRequires: gnutls-devel >= 3.6.2
BuildRequires: iniparser-devel
BuildRequires: krb5-devel >= 1.10
BuildRequires: libacl-devel
BuildRequires: libaio-devel
BuildRequires: libattr-devel
BuildRequires: libcap-devel
BuildRequires: libuuid-devel
BuildRequires: libxslt
BuildRequires: lmdb-devel
BuildRequires: ncurses-devel
BuildRequires: openldap-devel
BuildRequires: pam-devel
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-Parse-Yapp
BuildRequires: popt-devel
BuildRequires: python-devel
BuildRequires: python-tevent
BuildRequires: quota-devel
BuildRequires: readline-devel
BuildRequires: sed
BuildRequires: zlib-devel >= 1.2.3
BuildRequires: libbsd-devel
BuildRequires: systemd-devel >= 231

%if ! %with_internal_talloc
%global libtalloc_version 2.1.8

BuildRequires: libtalloc-devel >= %{libtalloc_version}
BuildRequires: pytalloc-devel >= %{libtalloc_version}
%endif

%if ! %with_internal_tevent
%global libtevent_version 0.9.29

BuildRequires: libtevent-devel >= %{libtevent_version}
BuildRequires: python-tevent >= %{libtevent_version}
%endif

%if ! %with_internal_ldb
%global libldb_version 1.1.27

BuildRequires: libldb-devel >= %{libldb_version}
BuildRequires: pyldb-devel >= %{libldb_version}
%endif

%if ! %with_internal_tdb
%global libtdb_version 1.3.10

BuildRequires: libtdb-devel >= %{libtdb_version}
BuildRequires: python-tdb >= %{libtdb_version}
%endif

%if %{with testsuite}
BuildRequires: ldb-tools
%endif

# filter out perl requirements pulled in from examples in the docdir.
%{?filter_setup:
%filter_provides_in %{_docdir}
%filter_requires_in %{_docdir}
%filter_setup
}

### SAMBA
%description
Samba is the standard Windows interoperability suite of programs for Linux and
Unix.

### CLIENT
%package client
Summary: Samba client programs
Group: Applications/System
Requires(pre): %{name}-common = %{samba_depver}
Requires: %{name}-common-libs = %{samba_depver}
Requires: %{name}-client-libs = %{samba_depver}
%if %with_libsmbclient
Requires: libsmbclient = %{samba_depver}
%endif

Provides: samba4-client = %{samba_depver}
Obsoletes: samba4-client < %{samba_depver}

Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives

%description client
The %{name}-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.

### CLIENT-LIBS
%package client-libs
Summary: Samba client libraries
Group: Applications/System
Requires(pre): %{name}-common = %{samba_depver}
%if %with_libwbclient
Requires: libwbclient = %{samba_depver}
%endif

%description client-libs
The samba-client-libs package contains internal libraries needed by the
SMB/CIFS clients.

### COMMON
%package common
Summary: Files used by both Samba servers and clients
Group: Applications/System
BuildArch: noarch

Requires(post): systemd

Provides: samba4-common = %{samba_depver}
Obsoletes: samba4-common < %{samba_depver}

%description common
samba-common provides files necessary for both the server and client
packages of Samba.

### COMMON-LIBS
%package common-libs
Summary: Libraries used by both Samba servers and clients
Group: Applications/System
Requires(pre): samba-common = %{samba_depver}
Requires: %{name}-client-libs = %{samba_depver}
%if %with_libwbclient
Requires: libwbclient = %{samba_depver}
%endif

%description common-libs
The samba-common-libs package contains internal libraries needed by the
SMB/CIFS clients.

### COMMON-TOOLS
%package common-tools
Summary: Tools for Samba servers and clients
Group: Applications/System
Requires: samba-common-libs = %{samba_depver}
Requires: samba-client-libs = %{samba_depver}
Requires: samba-libs = %{samba_depver}
%if %with_libwbclient
Requires: libwbclient = %{samba_depver}
%endif

%description common-tools
The samba-common-tools package contains tools for Samba servers and
SMB/CIFS clients.

### DC
%package dc
Summary: Samba AD Domain Controller
Group: Applications/System
Requires: %{name} = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}
Requires: %{name}-dc-libs = %{samba_depver}
Requires: %{name}-python = %{samba_depver}
Requires: %{name}-winbind = %{samba_depver}
%if %{with_dc}
# samba-tool requirements
Requires: python-crypto
%endif

Provides: samba4-dc = %{samba_depver}
Obsoletes: samba4-dc < %{samba_depver}

%description dc
The samba-dc package provides AD Domain Controller functionality

### DC-LIBS
%package dc-libs
Summary: Samba AD Domain Controller Libraries
Group: Applications/System
Requires: %{name}-common-libs = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}

Provides: samba4-dc-libs = %{samba_depver}
Obsoletes: samba4-dc-libs < %{samba_depver}

%description dc-libs
The %{name}-dc-libs package contains the libraries needed by the DC to
link against the SMB, RPC and other protocols.

### DEVEL
%package devel
Summary: Developer tools for Samba libraries
Group: Development/Libraries
Requires: %{name}-libs = %{samba_depver}
Requires: %{name}-client-libs = %{samba_depver}

Provides: samba4-devel = %{samba_depver}
Obsoletes: samba4-devel < %{samba_depver}

%description devel
The %{name}-devel package contains the header files for the libraries
needed to develop programs that link against the SMB, RPC and other
libraries in the Samba suite.

### CEPH
%if %{with_vfs_cephfs}
%package vfs-cephfs
Summary: Samba VFS module for Ceph distributed storage system
Group: Applications/System
Requires: libcephfs1
Requires: %{name} = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}

%description vfs-cephfs
Samba VFS module for Ceph distributed storage system integration.
%endif

### GLUSTER
%if %{with_vfs_glusterfs}
%package vfs-glusterfs
Summary: Samba VFS module for GlusterFS
Group: Applications/System
Requires: glusterfs-api >= 3.4.0.16
Requires: glusterfs >= 3.4.0.16
Requires: %{name} = %{samba_depver}
Requires: %{name}-client-libs = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}

Obsoletes: samba-glusterfs < %{samba_depver}
Provides: samba-glusterfs = %{samba_depver}

%description vfs-glusterfs
Samba VFS module for GlusterFS integration.
%endif

### KRB5-PRINTING
%package krb5-printing
Summary: Samba CUPS backend for printing with Kerberos
Group: Applications/System
Requires(pre): %{name}-client

Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives

%description krb5-printing
If you need Kerberos for print jobs to a printer connection to cups via the SMB
backend, then you need to install that package. It will allow cups to access
the Kerberos credentials cache of the user issuing the print job.

### LIBS
%package libs
Summary: Samba libraries
Group: Applications/System
Requires: krb5-libs >= 1.10
Requires: %{name}-client-libs = %{samba_depver}
%if %with_libwbclient
Requires: libwbclient = %{samba_depver}
%endif

Provides: samba4-libs = %{samba_depver}
Obsoletes: samba4-libs < %{samba_depver}

%description libs
The %{name}-libs package contains the libraries needed by programs that link
against the SMB, RPC and other protocols provided by the Samba suite.

### LIBSMBCLIENT
%if %with_libsmbclient
%package -n libsmbclient
Summary: The SMB client library
Group: Applications/System
Requires(pre): %{name}-common = %{samba_depver}
Requires: %{name}-client-libs = %{samba_depver}

%description -n libsmbclient
The libsmbclient contains the SMB client library from the Samba suite.

%package -n libsmbclient-devel
Summary: Developer tools for the SMB client library
Group: Development/Libraries
Requires: libsmbclient = %{samba_depver}

%description -n libsmbclient-devel
The libsmbclient-devel package contains the header files and libraries needed
to develop programs that link against the SMB client library in the Samba
suite.
%endif # with_libsmbclient

### LIBWBCLIENT
%if %with_libwbclient
%package -n libwbclient
Summary: The winbind client library
Group: Applications/System
Requires: %{name}-client-libs = %{samba_depver}

%description -n libwbclient
The libwbclient package contains the winbind client library from the Samba
suite.

%package -n libwbclient-devel
Summary: Developer tools for the winbind library
Group: Development/Libraries
Requires: libwbclient = %{samba_depver}

Provides: samba-winbind-devel = %{samba_depver}
Obsoletes: samba-winbind-devel < %{samba_depver}

%description -n libwbclient-devel
The libwbclient-devel package provides developer tools for the wbclient
library.
%endif # with_libwbclient

### PYTHON
%package python
Summary: Samba Python libraries
Group: Applications/System
Requires: %{name} = %{samba_depver}
Requires: %{name}-client-libs = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}
Requires: python-tevent
Requires: python-tdb
Requires: pyldb
Requires: pytalloc

Provides: samba4-python = %{samba_depver}
Obsoletes: samba4-python < %{samba_depver}

%description python
The %{name}-python package contains the Python libraries needed by programs
that use SMB, RPC and other Samba provided protocols in Python programs.

### PIDL
%package pidl
Summary: Perl IDL compiler
Group: Development/Tools
Requires: perl(Parse::Yapp)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: noarch

Provides: samba4-pidl = %{samba_depver}
Obsoletes: samba4-pidl < %{samba_depver}

%description pidl
The %{name}-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols

### TEST
%package test
Summary: Testing tools for Samba servers and clients
Group: Applications/System
Requires: %{name} = %{samba_depver}
Requires: %{name}-common = %{samba_depver}
Requires: %{name}-winbind = %{samba_depver}

Requires: %{name}-client-libs = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}
Requires: %{name}-test-libs = %{samba_depver}
%if %with_dc
Requires: %{name}-dc-libs = %{samba_depver}
%endif
Requires: %{name}-libs = %{samba_depver}
%if %with_libsmbclient
Requires: libsmbclient = %{samba_depver}
%endif
%if %with_libwbclient
Requires: libwbclient = %{samba_depver}
%endif

Provides: samba4-test = %{samba_depver}
Obsoletes: samba4-test < %{samba_depver}

%description test
%{name}-test provides testing tools for both the server and client
packages of Samba.

### TEST-LIBS
%package test-libs
Summary: Libraries need by the testing tools for Samba servers and clients
Group: Applications/System
Requires: %{name}-client-libs = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}

Provides: %{name}-test-devel = %{samba_depver}
Obsoletes: %{name}-test-devel < %{samba_depver}

%description test-libs
%{name}-test-libs provides libraries required by the testing tools.

### WINBIND
%package winbind
Summary: Samba winbind
Group: Applications/System
Requires(pre): %{name}-common = %{samba_depver}
Requires: %{name}-common-libs = %{samba_depver}
Requires: %{name}-common-tools = %{samba_depver}
Requires: %{name}-client-libs = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}
Requires: %{name}-winbind-modules = %{samba_depver}

Provides: samba4-winbind = %{samba_depver}
Obsoletes: samba4-winbind < %{samba_depver}

%description winbind
The samba-winbind package provides the winbind NSS library, and some client
tools.  Winbind enables Linux to be a full member in Windows domains and to use
Windows user and group accounts on Linux.

### WINBIND-CLIENTS
%package winbind-clients
Summary: Samba winbind clients
Group: Applications/System
Requires: %{name}-common = %{samba_depver}
Requires: %{name}-common-libs = %{samba_depver}
Requires: %{name}-client-libs = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}
Requires: %{name}-winbind = %{samba_depver}
%if %with_libwbclient
Requires: libwbclient = %{samba_depver}
%endif

Provides: samba4-winbind-clients = %{samba_depver}
Obsoletes: samba4-winbind-clients < %{samba_depver}

%description winbind-clients
The samba-winbind-clients package provides the wbinfo and ntlm_auth
tool.

### WINBIND-KRB5-LOCATOR
%package winbind-krb5-locator
Summary: Samba winbind krb5 locator
Group: Applications/System
%if %with_libwbclient
Requires: libwbclient = %{samba_depver}
Requires: %{name}-winbind = %{samba_depver}
%else
Requires: %{name}-libs = %{samba_depver}
%endif

Provides: samba4-winbind-krb5-locator = %{samba_depver}
Obsoletes: samba4-winbind-krb5-locator < %{samba_depver}

# Handle winbind_krb5_locator.so as alternatives to allow
# IPA AD trusts case where it should not be used by libkrb5
# The plugin will be diverted to /dev/null by the FreeIPA
# freeipa-server-trust-ad subpackage due to higher priority
# and restored to the proper one on uninstall
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

%description winbind-krb5-locator
The winbind krb5 locator is a plugin for the system kerberos library to allow
the local kerberos library to use the same KDC as samba and winbind use

### WINBIND-MODULES
%package winbind-modules
Summary: Samba winbind modules
Group: Applications/System
Requires: %{name}-client-libs = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}
%if %with_libwbclient
Requires: libwbclient = %{samba_depver}
%endif
Requires: pam

%description winbind-modules
The samba-winbind-modules package provides the NSS library and a PAM module
necessary to communicate to the Winbind Daemon

### CTDB
%if %with_clustering_support
%package -n ctdb
Summary: A Clustered Database based on Samba's Trivial Database (TDB)
Group: System Environment/Daemons

Requires: %{name}-client-libs = %{samba_depver}

Requires: coreutils
Requires: fileutils
# for ps and killall
Requires: psmisc
Requires: sed
Requires: tdb-tools
Requires: gawk
# for pkill and pidof:
Requires: procps-ng
# for netstat:
Requires: net-tools
Requires: ethtool
# for ip:
Requires: iproute
Requires: iptables
# for flock, getopt, kill:
Requires: util-linux

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n ctdb
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.

### CTDB-TEST
%package -n ctdb-tests
Summary: CTDB clustered database test suite
Group: Development/Tools

Requires: samba-client-libs = %{samba_depver}

Requires: ctdb = %{samba_depver}
Requires: nc

Provides: ctdb-devel = %{samba_depver}
Obsoletes: ctdb-devel < %{samba_depver}

%description -n ctdb-tests
Test suite for CTDB.
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.
%endif # with_clustering_support

%prep
%setup -q

%build
%global _talloc_lib ,talloc,pytalloc,pytalloc-util
%global _tevent_lib ,tevent,pytevent
%global _tdb_lib ,tdb,pytdb
%global _ldb_lib ,ldb,pyldb,pyldb-util

%if ! %{with_internal_talloc}
%global _talloc_lib ,!talloc,!pytalloc,!pytalloc-util
%endif

%if ! %{with_internal_tevent}
%global _tevent_lib ,!tevent,!pytevent
%endif

%if ! %{with_internal_tdb}
%global _tdb_lib ,!tdb,!pytdb
%endif

%if ! %{with_internal_ldb}
%global _ldb_lib ,!ldb,!pyldb,!pyldb-util
%endif

%global _samba4_libraries heimdal,!zlib,!popt%{_talloc_lib}%{_tevent_lib}%{_tdb_lib}%{_ldb_lib}

%global _samba4_idmap_modules idmap_ad,idmap_rid,idmap_adex,idmap_hash,idmap_tdb2
%global _samba4_pdb_modules pdb_tdbsam,pdb_ldap,pdb_ads,pdb_smbpasswd,pdb_wbc_sam,pdb_samba4
#%global _samba4_auth_modules auth_unix,auth_wbc,auth_server,auth_netlogond,auth_script,auth_samba4
%global _samba4_auth_modules auth_unix,auth_server,auth_netlogond,auth_script,auth_samba4

%global _samba4_modules %{_samba4_idmap_modules},%{_samba4_pdb_modules},%{_samba4_auth_modules}

%global _libsmbclient %nil
%global _libwbclient %nil

%if ! %with_libsmbclient
%global _libsmbclient smbclient,
%endif

%if ! %with_libwbclient
%global _libwbclient wbclient,
%endif

%global _samba4_private_libraries %{_libsmbclient}%{_libwbclient}

%configure \
        --enable-fhs \
        --with-piddir=/run \
        --with-sockets-dir=/run/samba \
        --with-modulesdir=%{_libdir}/samba \
        --with-pammodulesdir=%{_libdir}/security \
        --with-lockdir=/var/lib/samba/lock \
        --with-statedir=/var/lib/samba \
        --with-cachedir=/var/lib/samba \
        --disable-rpath-install \
        --with-shared-modules=%{_samba4_modules} \
        --bundled-libraries=%{_samba4_libraries} \
        --with-pam \
        --with-pie \
        --with-relro \
        --without-fam \
%if (! %with_libsmbclient) || (! %with_libwbclient)
        --private-libraries=%{_samba4_private_libraries} \
%endif
%if %with_mitkrb5
        --with-system-mitkrb5 \
%endif
%if ! %with_dc
        --without-ad-dc \
%endif
%if ! %with_vfs_glusterfs
        --disable-glusterfs \
%endif
%if %with_clustering_support
        --with-cluster-support \
%endif
%if %with_profiling
        --with-profiling-data \
%endif
%if %{with testsuite}
        --enable-selftest \
%endif
        --with-systemd \
	--systemd-install-services \
	--with-systemddir=/usr/lib/systemd/system \
	--systemd-smb-extra=%{_systemd_extra} \
	--systemd-nmb-extra=%{_systemd_extra} \
	--systemd-winbind-extra=%{_systemd_extra} \
	--systemd-samba-extra=%{_systemd_extra}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make %{?_smp_mflags} install DESTDIR=%{buildroot}

install -d -m 0755 %{buildroot}/usr/{sbin,bin}
install -d -m 0755 %{buildroot}%{_libdir}/security
install -d -m 0755 %{buildroot}/var/lib/samba
install -d -m 0755 %{buildroot}/var/lib/samba/drivers
install -d -m 0755 %{buildroot}/var/lib/samba/lock
install -d -m 0755 %{buildroot}/var/lib/samba/private
install -d -m 0755 %{buildroot}/var/lib/samba/scripts
install -d -m 0755 %{buildroot}/var/lib/samba/sysvol
install -d -m 0755 %{buildroot}/var/lib/samba/winbindd_privileged
install -d -m 0755 %{buildroot}/var/log/samba/old
install -d -m 0755 %{buildroot}/var/spool/samba
install -d -m 0755 %{buildroot}/var/run/samba
install -d -m 0755 %{buildroot}/var/run/winbindd
install -d -m 0755 %{buildroot}/%{_libdir}/samba
install -d -m 0755 %{buildroot}/%{_libdir}/samba/ldb
install -d -m 0755 %{buildroot}/%{_libdir}/pkgconfig

# Move libwbclient.so* into private directory, it cannot be just libdir/samba
# because samba uses rpath with this directory.
install -d -m 0755 %{buildroot}/%{_libdir}/samba/wbclient
mv %{buildroot}/%{_libdir}/libwbclient.so* %{buildroot}/%{_libdir}/samba/wbclient
if [ ! -f %{buildroot}/%{_libdir}/samba/wbclient/libwbclient.so.%{libwbc_alternatives_version} ]
then
    echo "Expected libwbclient version not found, please check if version has changed."
    exit -1
fi


touch %{buildroot}%{_libexecdir}/samba/cups_backend_smb

# Install other stuff
install -d -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/samba

install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/samba/smb.conf
install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/samba/smb.conf.example

install -d -m 0755 %{buildroot}%{_sysconfdir}/security
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/security/pam_winbind.conf

install -d -m 0755 %{buildroot}%{_sysconfdir}/pam.d
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/pam.d/samba

echo 127.0.0.1 localhost > %{buildroot}%{_sysconfdir}/samba/lmhosts

# openLDAP database schema
install -d -m 0755 %{buildroot}%{_sysconfdir}/openldap/schema
install -m644 examples/LDAP/samba.schema %{buildroot}%{_sysconfdir}/openldap/schema/samba.schema

install -m 0744 packaging/printing/smbprint %{buildroot}%{_bindir}/smbprint

install -d -m 0755 %{buildroot}%{_tmpfilesdir}
install -m644 packaging/systemd/samba.conf.tmp %{buildroot}%{_tmpfilesdir}/samba.conf
# create /run/samba too.
echo "d /run/samba  755 root root" >> %{buildroot}%{_tmpfilesdir}/samba.conf
%if %with_clustering_support
echo "d /run/ctdb 755 root root" >> %{buildroot}%{_tmpfilesdir}/ctdb.conf
%endif

install -d -m 0755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 packaging/systemd/samba.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/samba
%if %with_clustering_support
install -m 0644 ctdb/config/ctdbd.conf %{buildroot}%{_sysconfdir}/sysconfig/ctdb
%endif

install -m 0644 %{SOURCE201} packaging/README.downgrade

%if ! %with_dc
install -m 0644 %{SOURCE200} packaging/README.dc
install -m 0644 %{SOURCE200} packaging/README.dc-libs
%endif

#install -d -m 0755 %{buildroot}%{_unitdir}
#for i in nmb smb winbind ; do
#    cat packaging/systemd/$i.service.in | sed -e 's@\[Service\]@[Service]\nEnvironment=KRB5CCNAME=FILE:/run/samba/krb5cc_samba@g' >tmp$i.service
#    install -m 0644 tmp$i.service %{buildroot}%{_unitdir}/$i.service
#done

%if %with_clustering_support
install -m 0755 ctdb/config/ctdb.service %{buildroot}%{_unitdir}
%endif

# NetworkManager online/offline script
install -d -m 0755 %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/
install -m 0755 packaging/NetworkManager/30-winbind-systemd \
            %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/30-winbind

# winbind krb5 locator
install -d -m 0755 %{buildroot}%{_libdir}/krb5/plugins/libkrb5
touch %{buildroot}%{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so

%if ! %with_dc
for i in \
    %{_libdir}/samba/libdfs-server-ad-samba4.so \
    %{_libdir}/samba/libdnsserver-common-samba4.so \
    %{_libdir}/samba/libdsdb-garbage-collect-tombstones-samba4.so \
    %{_mandir}/man8/samba.8 \
    %{_mandir}/man8/samba-tool.8 \
    %{_mandir}/man8/samba_gpoupdate.8 \
    %{_libdir}/samba/ldb/ildap.so \
    %{_libdir}/samba/ldb/ldbsamba_extensions.so \
    %{_unitdir}/samba.service \
    %{python_sitearch}/samba/dcerpc/dnsserver.so \
    %{python_sitearch}/samba/dnsserver.py* \
    %{python_sitearch}/samba/domain_update.py* \
    %{python_sitearch}/samba/dsdb_dns.so \
    %{python_sitearch}/samba/dsdb.so \
    %{python_sitearch}/samba/forest_update.py* \
    %{python_sitearch}/samba/gpclass.py* \
    %{python_sitearch}/samba/gpo.so \
    %{python_sitearch}/samba/kcc/debug.py* \
    %{python_sitearch}/samba/kcc/graph.py* \
    %{python_sitearch}/samba/kcc/graph_utils.py* \
    %{python_sitearch}/samba/kcc/__init__.py* \
    %{python_sitearch}/samba/kcc/kcc_utils.py* \
    %{python_sitearch}/samba/kcc/ldif_import_export.py* \
    %{python_sitearch}/samba/ms_forest_updates_markdown.py* \
    %{python_sitearch}/samba/ms_schema_markdown.py* \
    %{python_sitearch}/samba/provision/backend.py* \
    %{python_sitearch}/samba/provision/common.py* \
    %{python_sitearch}/samba/provision/__init__.py* \
    %{python_sitearch}/samba/provision/kerberos_implementation.py* \
    %{python_sitearch}/samba/provision/kerberos.py* \
    %{python_sitearch}/samba/provision/sambadns.py* \
    %{python_sitearch}/samba/samdb.py* \
    %{python_sitearch}/samba/schema.py* \
    %{python_sitearch}/samba/web_server/__init__.py* \
    %{python3_sitearch}/samba/dcerpc/dnsserver.*.so \
    %{python3_sitearch}/samba/dnsserver.py \
    %{python3_sitearch}/samba/domain_update.py \
    %{python3_sitearch}/samba/forest_update.py \
    %{python3_sitearch}/samba/kcc/debug.py \
    %{python3_sitearch}/samba/kcc/graph.py \
    %{python3_sitearch}/samba/kcc/__pycache__/debug.*.pyc \
    %{python3_sitearch}/samba/kcc/__pycache__/graph.*.pyc \
    %{python3_sitearch}/samba/ms_forest_updates_markdown.py \
    %{python3_sitearch}/samba/ms_schema_markdown.py \
    %{python3_sitearch}/samba/provision/common.py \
    %{python3_sitearch}/samba/provision/kerberos_implementation.py \
    %{python3_sitearch}/samba/provision/kerberos.py \
    %{python3_sitearch}/samba/provision/__pycache__/common.*.pyc \
    %{python3_sitearch}/samba/provision/__pycache__/kerberos_implementation.*.pyc \
    %{python3_sitearch}/samba/provision/__pycache__/kerberos.*.pyc \
    %{python3_sitearch}/samba/__pycache__/domain_update.*.pyc \
    %{python3_sitearch}/samba/__pycache__/forest_update.*.pyc \
    %{python3_sitearch}/samba/__pycache__/ms_forest_updates_markdown.*.pyc \
    %{python3_sitearch}/samba/__pycache__/ms_schema_markdown.*.pyc \
    %{python3_sitearch}/samba/__pycache__/schema.*.pyc \
    %{python3_sitearch}/samba/samdb.py \
    %{python3_sitearch}/samba/schema.py \
    %{_sbindir}/samba_gpoupdate \
    ; do
    rm -f %{buildroot}$i
done
%endif

# This makes the right links, as rpmlint requires that
# the ldconfig-created links be recorded in the RPM.
/sbin/ldconfig -N -n %{buildroot}%{_libdir}

%if %{with testsuite}
%check
TDB_NO_FSYNC=1 make %{?_smp_mflags} test
%endif

%post
%systemd_post smb.service
%systemd_post nmb.service

%preun
%systemd_preun smb.service
%systemd_preun nmb.service

%postun
%systemd_postun_with_restart smb.service
%systemd_postun_with_restart nmb.service

%post common
/sbin/ldconfig
/usr/bin/systemd-tmpfiles --create %{_tmpfilesdir}/samba.conf
if [ -d /var/cache/samba ]; then
    mv /var/cache/samba/netsamlogon_cache.tdb /var/lib/samba/ 2>/dev/null
    mv /var/cache/samba/winbindd_cache.tdb /var/lib/samba/ 2>/dev/null
    rm -rf /var/cache/samba/
    ln -sf /var/cache/samba /var/lib/samba/
fi

%post client
%{_sbindir}/update-alternatives --install %{_libexecdir}/samba/cups_backend_smb \
    cups_backend_smb \
    %{_bindir}/smbspool 10

%postun client
if [ $1 -eq 0 ] ; then
    %{_sbindir}/update-alternatives --remove cups_backend_smb %{_bindir}/smbspool
fi

%post client-libs -p /sbin/ldconfig

%postun client-libs -p /sbin/ldconfig

%post common-libs -p /sbin/ldconfig

%postun common-libs -p /sbin/ldconfig

%if %with_dc
%post dc-libs -p /sbin/ldconfig

%postun dc-libs -p /sbin/ldconfig
%endif

%post krb5-printing
%{_sbindir}/update-alternatives --install %{_libexecdir}/samba/cups_backend_smb \
        cups_backend_smb \
        %{_libexecdir}/samba/smbspool_krb5_wrapper 50

%postun krb5-printing
if [ $1 -eq 0 ] ; then
        %{_sbindir}/update-alternatives --remove cups_backend_smb %{_libexecdir}/samba/smbspool_krb5_wrapper
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%if %with_libsmbclient
%post -n libsmbclient -p /sbin/ldconfig

%postun -n libsmbclient -p /sbin/ldconfig
%endif

%if %with_libwbclient
%posttrans -n libwbclient
# It has to be posttrans here to make sure all files of a previous version
# without alternatives support are removed
%{_sbindir}/update-alternatives --install %{_libdir}/libwbclient.so.%{libwbc_alternatives_version} \
                                libwbclient.so.%{libwbc_alternatives_version}%{libwbc_alternatives_suffix} %{_libdir}/samba/wbclient/libwbclient.so.%{libwbc_alternatives_version} 10
/sbin/ldconfig

%preun -n libwbclient
%{_sbindir}/update-alternatives --remove libwbclient.so.%{libwbc_alternatives_version}%{libwbc_alternatives_suffix} %{_libdir}/samba/wbclient/libwbclient.so.%{libwbc_alternatives_version}
/sbin/ldconfig

%posttrans -n libwbclient-devel
%{_sbindir}/update-alternatives --install %{_libdir}/libwbclient.so \
                                libwbclient.so%{libwbc_alternatives_suffix} %{_libdir}/samba/wbclient/libwbclient.so 10

%preun -n libwbclient-devel
# alternatives checks if the file which should be removed is a link or not, but
# not if it points to the /etc/alternatives directory or to some other place.
# When downgrading to a version where alternatives is not used and
# libwbclient.so is a link and not a file it will be removed. The following
# check removes the alternatives files manually if that is the case.
if [ "`readlink %{_libdir}/libwbclient.so`" == "libwbclient.so.%{libwbc_alternatives_version}" ]; then
    /bin/rm -f /etc/alternatives/libwbclient.so%{libwbc_alternatives_suffix} /var/lib/alternatives/libwbclient.so%{libwbc_alternatives_suffix} 2> /dev/null
else
    %{_sbindir}/update-alternatives --remove libwbclient.so%{libwbc_alternatives_suffix} %{_libdir}/samba/wbclient/libwbclient.so
fi

%endif # with_libwbclient

%post test -p /sbin/ldconfig

%postun test -p /sbin/ldconfig

%pre winbind
/usr/sbin/groupadd -g 88 wbpriv >/dev/null 2>&1 || :

%post winbind
%systemd_post winbind.service

%preun winbind
%systemd_preun winbind.service

%postun winbind
%systemd_postun_with_restart smb.service
%systemd_postun_with_restart nmb.service

%postun winbind-krb5-locator
if [ "$1" -ge "1" ]; then
        if [ "`readlink %{_sysconfdir}/alternatives/winbind_krb5_locator.so`" == "%{_libdir}/winbind_krb5_locator.so" ]; then
                %{_sbindir}/update-alternatives --set winbind_krb5_locator.so %{_libdir}/winbind_krb5_locator.so
        fi
fi

%post winbind-krb5-locator
%{_sbindir}/update-alternatives --install %{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so \
                                winbind_krb5_locator.so %{_libdir}/winbind_krb5_locator.so 10

%preun winbind-krb5-locator
if [ $1 -eq 0 ]; then
        %{_sbindir}/update-alternatives --remove winbind_krb5_locator.so %{_libdir}/winbind_krb5_locator.so
fi

%post winbind-modules -p /sbin/ldconfig

%postun winbind-modules -p /sbin/ldconfig

%if %with_clustering_support
%post -n ctdb
/usr/bin/systemd-tmpfiles --create %{_tmpfilesdir}/ctdb.conf
%systemd_post ctdb.service

%preun -n ctdb
%systemd_preun ctdb.service

%postun -n ctdb
%systemd_postun_with_restart ctdb.service
%endif

%clean
rm -rf %{buildroot}

### SAMBA
%files
%defattr(-,root,root,-)
%doc COPYING README WHATSNEW.txt
%doc examples/autofs examples/LDAP examples/misc
%doc examples/printer-accounting examples/printing
%doc packaging/README.downgrade
%{_bindir}/smbstatus
%{_bindir}/eventlogadm
%{_sbindir}/nmbd
%{_sbindir}/smbd
%dir %{_libdir}/samba/auth
%{_libdir}/samba/auth/script.so
%{_libdir}/samba/auth/unix.so
#%%{_libdir}/samba/auth/wbc.so
%dir %{_libdir}/samba/vfs
%{_libdir}/samba/vfs/acl_tdb.so
%{_libdir}/samba/vfs/acl_xattr.so
%{_libdir}/samba/vfs/aio_fork.so
#%%{_libdir}/samba/vfs/aio_linux.so
%{_libdir}/samba/vfs/aio_pthread.so
%{_libdir}/samba/vfs/audit.so
%{_libdir}/samba/vfs/btrfs.so
%{_libdir}/samba/vfs/cap.so
%{_libdir}/samba/vfs/catia.so
%{_libdir}/samba/vfs/commit.so
%{_libdir}/samba/vfs/crossrename.so
%{_libdir}/samba/vfs/default_quota.so
%{_libdir}/samba/vfs/dirsort.so
%{_libdir}/samba/vfs/expand_msdfs.so
%{_libdir}/samba/vfs/extd_audit.so
%{_libdir}/samba/vfs/fake_perms.so
%{_libdir}/samba/vfs/fileid.so
%{_libdir}/samba/vfs/fruit.so
%{_libdir}/samba/vfs/full_audit.so
%{_libdir}/samba/vfs/linux_xfs_sgid.so
%{_libdir}/samba/vfs/media_harmony.so
%{_libdir}/samba/vfs/netatalk.so
%{_libdir}/samba/vfs/offline.so
%{_libdir}/samba/vfs/preopen.so
%{_libdir}/samba/vfs/readahead.so
%{_libdir}/samba/vfs/readonly.so
%{_libdir}/samba/vfs/recycle.so
%{_libdir}/samba/vfs/shadow_copy.so
%{_libdir}/samba/vfs/shadow_copy2.so
%{_libdir}/samba/vfs/shell_snap.so
%{_libdir}/samba/vfs/snapper.so
%{_libdir}/samba/vfs/streams_depot.so
%{_libdir}/samba/vfs/streams_xattr.so
%{_libdir}/samba/vfs/syncops.so
%{_libdir}/samba/vfs/time_audit.so
%{_libdir}/samba/vfs/unityed_media.so
%{_libdir}/samba/vfs/virusfilter.so
%{_libdir}/samba/vfs/worm.so
%{_libdir}/samba/vfs/xattr_tdb.so

%{_unitdir}/nmb.service
%{_unitdir}/smb.service
%attr(1777,root,root) %dir /var/spool/samba
%dir %{_sysconfdir}/openldap/schema
%config %{_sysconfdir}/openldap/schema/samba.schema
%config(noreplace) %{_sysconfdir}/pam.d/samba
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man8/eventlogadm.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/vfs_acl_tdb.8*
%{_mandir}/man8/vfs_acl_xattr.8*
%{_mandir}/man8/vfs_aio_fork.8*
#%%{_mandir}/man8/vfs_aio_linux.8*
%{_mandir}/man8/vfs_aio_pthread.8*
%{_mandir}/man8/vfs_audit.8*
%{_mandir}/man8/vfs_btrfs.8*
%{_mandir}/man8/vfs_cacheprime.8*
%{_mandir}/man8/vfs_cap.8*
%{_mandir}/man8/vfs_catia.8*
%{_mandir}/man8/vfs_commit.8*
%{_mandir}/man8/vfs_crossrename.8*
%{_mandir}/man8/vfs_default_quota.8*
%{_mandir}/man8/vfs_dirsort.8*
%{_mandir}/man8/vfs_extd_audit.8*
%{_mandir}/man8/vfs_fake_perms.8*
%{_mandir}/man8/vfs_fileid.8*
%{_mandir}/man8/vfs_fruit.8*
%{_mandir}/man8/vfs_full_audit.8*
%{_mandir}/man8/vfs_gpfs.8*
%{_mandir}/man8/vfs_linux_xfs_sgid.8*
%{_mandir}/man8/vfs_media_harmony.8*
%{_mandir}/man8/vfs_netatalk.8*
%{_mandir}/man8/vfs_nfs4acl_xattr.8*
%{_mandir}/man8/vfs_offline.8*
%{_mandir}/man8/vfs_prealloc.8*
%{_mandir}/man8/vfs_preopen.8*
%{_mandir}/man8/vfs_readahead.8*
%{_mandir}/man8/vfs_readonly.8*
%{_mandir}/man8/vfs_recycle.8*
%{_mandir}/man8/vfs_shadow_copy.8*
%{_mandir}/man8/vfs_shadow_copy2.8*
%{_mandir}/man8/vfs_shell_snap.8*
%{_mandir}/man8/vfs_snapper.8*
%{_mandir}/man8/vfs_streams_depot.8*
%{_mandir}/man8/vfs_streams_xattr.8*
%{_mandir}/man8/vfs_syncops.8*
%{_mandir}/man8/vfs_time_audit.8*
%{_mandir}/man8/vfs_tsmsm.8*
%{_mandir}/man8/vfs_unityed_media.8*
%{_mandir}/man8/vfs_virusfilter.8*
%{_mandir}/man8/vfs_worm.8*
%{_mandir}/man8/vfs_xattr_tdb.8*

%if ! %{with_vfs_glusterfs}
%exclude %{_mandir}/man8/vfs_glusterfs.8*
%endif

%if ! %{with_vfs_cephfs}
%exclude %{_mandir}/man8/vfs_ceph.8*
%endif

%dir /var/lib/samba/drivers
%dir /var/lib/samba/lock

### CLIENT
%files client
%defattr(-,root,root)
%{_bindir}/cifsdd
%{_bindir}/dbwrap_tool
%{_bindir}/findsmb
%{_bindir}/mvxattr
%{_bindir}/nmblookup
%{_bindir}/oLschema2ldif
%{_bindir}/regdiff
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree
%{_bindir}/rpcclient
%{_bindir}/samba-regedit
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbcquotas
%{_bindir}/smbget
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%dir %{_libexecdir}/samba
%ghost %{_libexecdir}/samba/cups_backend_smb
%{_mandir}/man1/dbwrap_tool.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/oLschema2ldif.1*
%{_mandir}/man1/regdiff.1*
%{_mandir}/man1/regpatch.1*
%{_mandir}/man1/regshell.1*
%{_mandir}/man1/regtree.1*
%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/mvxattr.1*
%{_mandir}/man1/log2pcap.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/sharesec.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/smbget.1*
%{_mandir}/man5/smbgetrc.5*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man7/traffic_learner.7.*
%{_mandir}/man7/traffic_replay.7.*
%{_mandir}/man8/cifsdd.8.*
%{_mandir}/man8/samba-regedit.8*
%{_mandir}/man8/smbspool.8*

%if %{with_internal_tdb}
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbrestore
%{_bindir}/tdbtool
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbrestore.8*
%{_mandir}/man8/tdbtool.8*
%endif

%if %with_internal_ldb
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbrename
%{_bindir}/ldbsearch
%{_libdir}/samba/libldb-cmdline-samba4.so
%{_libdir}/samba/ldb/asq.so
%{_libdir}/samba/ldb/paged_results.so
%{_libdir}/samba/ldb/paged_searches.so
%{_libdir}/samba/ldb/rdn_name.so
%{_libdir}/samba/ldb/sample.so
%{_libdir}/samba/ldb/server_sort.so
%{_libdir}/samba/ldb/skel.so
%{_libdir}/samba/ldb/tdb.so
%{_mandir}/man1/ldbadd.1.gz
%{_mandir}/man1/ldbdel.1.gz
%{_mandir}/man1/ldbedit.1.gz
%{_mandir}/man1/ldbmodify.1.gz
%{_mandir}/man1/ldbrename.1.gz
%{_mandir}/man1/ldbsearch.1.gz
%endif

### CLIENT-LIBS
%files client-libs
%defattr(-,root,root)
%{_libdir}/libdcerpc-binding.so.*
%{_libdir}/libndr.so.*
%{_libdir}/libndr-krb5pac.so.*
%{_libdir}/libndr-nbt.so.*
%{_libdir}/libndr-standard.so.*
%{_libdir}/libnetapi.so.*
%{_libdir}/libsamba-credentials.so.*
%{_libdir}/libsamba-errors.so.*
%{_libdir}/libsamba-passdb.so.*
%{_libdir}/libsamba-util.so.*
%{_libdir}/libsamba-hostconfig.so.*
%{_libdir}/libsamdb.so.*
%{_libdir}/libsmbconf.so.*
%{_libdir}/libsmbldap.so.*
%{_libdir}/libtevent-util.so.*
%{_libdir}/libdcerpc.so.*

%dir %{_libdir}/samba
%{_libdir}/samba/libCHARSET3-samba4.so
%{_libdir}/samba/libaddns-samba4.so
%{_libdir}/samba/libads-samba4.so
%{_libdir}/samba/libasn1util-samba4.so
#%{_libdir}/samba/libauth-sam-reply-samba4.so
%{_libdir}/samba/libauth-samba4.so
%{_libdir}/samba/libauthkrb5-samba4.so
%{_libdir}/samba/libcli-cldap-samba4.so
%{_libdir}/samba/libcli-ldap-common-samba4.so
%{_libdir}/samba/libcli-ldap-samba4.so
%{_libdir}/samba/libcli-nbt-samba4.so
%{_libdir}/samba/libcli-smb-common-samba4.so
%{_libdir}/samba/libcli-spoolss-samba4.so
%{_libdir}/samba/libcliauth-samba4.so
%{_libdir}/samba/libcmdline-credentials-samba4.so
%{_libdir}/samba/libcommon-auth-samba4.so
%{_libdir}/samba/libdbwrap-samba4.so
%{_libdir}/samba/libdcerpc-samba-samba4.so
#%%{_libdir}/samba/libdsdb-garbage-collect-tombstones-samba4.so
%{_libdir}/samba/libevents-samba4.so
%{_libdir}/samba/libflag-mapping-samba4.so
%{_libdir}/samba/libgenrand-samba4.so
%{_libdir}/samba/libgensec-samba4.so
%{_libdir}/samba/libgpext-samba4.so
#%%{_libdir}/samba/libgpo-samba4.so
%{_libdir}/samba/libgse-samba4.so
%{_libdir}/samba/libhttp-samba4.so
%{_libdir}/samba/libinterfaces-samba4.so
%{_libdir}/samba/libiov-buf-samba4.so
%{_libdir}/samba/libkrb5samba-samba4.so
%{_libdir}/samba/libldbsamba-samba4.so
%{_libdir}/samba/liblibcli-lsa3-samba4.so
%{_libdir}/samba/liblibcli-netlogon3-samba4.so
%{_libdir}/samba/liblibsmb-samba4.so
%{_libdir}/samba/libmessages-dgm-samba4.so
%{_libdir}/samba/libmessages-util-samba4.so
%{_libdir}/samba/libmsghdr-samba4.so
%{_libdir}/samba/libmsrpc3-samba4.so
%{_libdir}/samba/libndr-samba-samba4.so
%{_libdir}/samba/libndr-samba4.so
%{_libdir}/samba/libnet-keytab-samba4.so
%{_libdir}/samba/libnetif-samba4.so
%{_libdir}/samba/libnpa-tstream-samba4.so
%{_libdir}/samba/libposix-eadb-samba4.so
%{_libdir}/samba/libprinting-migrate-samba4.so
%{_libdir}/samba/libreplace-samba4.so
%{_libdir}/samba/libregistry-samba4.so
%{_libdir}/samba/libsamba-cluster-support-samba4.so
%{_libdir}/samba/libsamba-debug-samba4.so
%{_libdir}/samba/libsamba-modules-samba4.so
%{_libdir}/samba/libsamba-security-samba4.so
%{_libdir}/samba/libsamba-sockets-samba4.so
%{_libdir}/samba/libsamba3-util-samba4.so
%{_libdir}/samba/libsamdb-common-samba4.so
%{_libdir}/samba/libsecrets3-samba4.so
%{_libdir}/samba/libserver-id-db-samba4.so
%{_libdir}/samba/libserver-role-samba4.so
%{_libdir}/samba/libsmb-transport-samba4.so
%{_libdir}/samba/libsmbclient-raw-samba4.so
%{_libdir}/samba/libsmbd-base-samba4.so
%{_libdir}/samba/libsmbd-conn-samba4.so
%{_libdir}/samba/libsmbd-shim-samba4.so
%{_libdir}/samba/libsmbldaphelper-samba4.so
%{_libdir}/samba/libsys-rw-samba4.so
%{_libdir}/samba/libsocket-blocking-samba4.so
%{_libdir}/samba/libtalloc-report-samba4.so
%{_libdir}/samba/libtdb-wrap-samba4.so
%{_libdir}/samba/libtime-basic-samba4.so
%{_libdir}/samba/libtorture-samba4.so
%{_libdir}/samba/libtrusts-util-samba4.so
%{_libdir}/samba/libutil-cmdline-samba4.so
%{_libdir}/samba/libutil-reg-samba4.so
%{_libdir}/samba/libutil-setid-samba4.so
%{_libdir}/samba/libutil-tdb-samba4.so

%if ! %with_libwbclient
%{_libdir}/samba/libwbclient.so.*
%{_libdir}/samba/libwinbind-client-samba4.so
%endif # ! with_libwbclient

%if ! %with_libsmbclient
%{_libdir}/samba/libsmbclient.so.*
%{_mandir}/man7/libsmbclient.7*
%endif # ! with_libsmbclient

%if %{with_internal_talloc}
%{_libdir}/samba/libtalloc.so.2
%{_libdir}/samba/libtalloc.so.%{talloc_version}
%{_libdir}/samba/libpytalloc-util.so.2
%{_libdir}/samba/libpytalloc-util.so.%{talloc_version}
%{_mandir}/man3/talloc.3.gz
%endif

%if %{with_internal_talloc}
%{_libdir}/samba/libtalloc.so.2
%{_libdir}/samba/libtalloc.so.%{talloc_version}
%{_libdir}/samba/libpytalloc-util.so.2
%{_libdir}/samba/libpytalloc-util.so.%{talloc_version}
%{_mandir}/man3/talloc.3.gz
%endif

%if %{with_internal_tevent}
%{_libdir}/samba/libtevent.so.0
%{_libdir}/samba/libtevent.so.%{tevent_version}
%endif

%if %{with_internal_tdb}
%{_libdir}/samba/libtdb.so.1
%{_libdir}/samba/libtdb.so.%{tdb_version}
%endif

%if %{with_internal_ldb}
%{_libdir}/samba/libldb.so.1
%{_libdir}/samba/libldb.so.%{ldb_version}
%{_libdir}/samba/libpyldb-util.so.1
%{_libdir}/samba/libpyldb-util.so.%{ldb_version}
%{_mandir}/man3/ldb.3.gz
%endif

### COMMON
%files common
%defattr(-,root,root)
%{_tmpfilesdir}/samba.conf
%dir %{_sysconfdir}/logrotate.d/
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%attr(0700,root,root) %dir /var/log/samba
%attr(0700,root,root) %dir /var/log/samba/old
%ghost %dir /var/run/samba
%ghost %dir /var/run/winbindd
%dir /var/lib/samba
%attr(700,root,root) %dir /var/lib/samba/private
%attr(755,root,root) %dir %{_sysconfdir}/samba
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%{_sysconfdir}/samba/smb.conf.example
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*

### COMMON-libs
%files common-libs
%defattr(-,root,root)
# common libraries
%{_libdir}/samba/libpopt-samba3-samba4.so

%dir %{_libdir}/samba/ldb

%dir %{_libdir}/samba/pdb
%{_libdir}/samba/pdb/ldapsam.so
%{_libdir}/samba/pdb/smbpasswd.so
%{_libdir}/samba/pdb/tdbsam.so
#%%{_libdir}/samba/pdb/wbc_sam.so

%files common-tools
%defattr(-,root,root)
%{_bindir}/net
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcontrol
%{_bindir}/smbpasswd
%{_bindir}/testparm
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man8/net.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/smbpasswd.8*

### DC
%files dc
%defattr(-,root,root)

%if %with_dc
%{_bindir}/samba-tool
%{_sbindir}/samba
%{_sbindir}/samba_kcc
%{_sbindir}/samba_dnsupdate
%{_sbindir}/samba_gpoupdate
%{_sbindir}/samba_spnupdate
%{_sbindir}/samba_upgradedns
%{_libdir}/samba/auth/samba4.so
%{_libdir}/samba/bind9/dlz_bind9.so
%{_libdir}/samba/bind9/dlz_bind9_10.so
%{_libdir}/samba/libheimntlm-samba4.so.1
%{_libdir}/samba/libheimntlm-samba4.so.1.0.1
%{_libdir}/samba/libkdc-samba4.so.2
%{_libdir}/samba/libkdc-samba4.so.2.0.0
%{_libdir}/samba/libpac-samba4.so
%dir %{_libdir}/samba/gensec
%{_libdir}/samba/gensec/krb5.so
%{_libdir}/samba/ldb/acl.so
%{_libdir}/samba/ldb/aclread.so
%{_libdir}/samba/ldb/anr.so
%{_libdir}/samba/ldb/descriptor.so
%{_libdir}/samba/ldb/dirsync.so
%{_libdir}/samba/ldb/dns_notify.so
%{_libdir}/samba/ldb/extended_dn_in.so
%{_libdir}/samba/ldb/extended_dn_out.so
%{_libdir}/samba/ldb/extended_dn_store.so
%{_libdir}/samba/ldb/ildap.so
%{_libdir}/samba/ldb/instancetype.so
%{_libdir}/samba/ldb/lazy_commit.so
%{_libdir}/samba/ldb/ldbsamba_extensions.so
%{_libdir}/samba/ldb/linked_attributes.so
%{_libdir}/samba/ldb/local_password.so
%{_libdir}/samba/ldb/new_partition.so
%{_libdir}/samba/ldb/objectclass.so
%{_libdir}/samba/ldb/objectclass_attrs.so
%{_libdir}/samba/ldb/objectguid.so
%{_libdir}/samba/ldb/operational.so
%{_libdir}/samba/ldb/partition.so
%{_libdir}/samba/ldb/password_hash.so
%{_libdir}/samba/ldb/ranged_results.so
%{_libdir}/samba/ldb/repl_meta_data.so
%{_libdir}/samba/ldb/resolve_oids.so
%{_libdir}/samba/ldb/rootdse.so
%{_libdir}/samba/ldb/samba3sam.so
%{_libdir}/samba/ldb/samba3sid.so
%{_libdir}/samba/ldb/samba_dsdb.so
%{_libdir}/samba/ldb/samba_secrets.so
%{_libdir}/samba/ldb/samldb.so
%{_libdir}/samba/ldb/schema_data.so
%{_libdir}/samba/ldb/schema_load.so
%{_libdir}/samba/ldb/secrets_tdb_sync.so
%{_libdir}/samba/ldb/show_deleted.so
%{_libdir}/samba/ldb/simple_dn.so
%{_libdir}/samba/ldb/simple_ldap_map.so
%{_libdir}/samba/ldb/subtree_delete.so
%{_libdir}/samba/ldb/subtree_rename.so
%{_libdir}/samba/ldb/tombstone_reanimate.so
%{_libdir}/samba/ldb/update_keytab.so
%{_libdir}/samba/ldb/wins_ldb.so
%{_libdir}/samba/vfs/posix_eadb.so
%dir /var/lib/samba/sysvol
%{_datadir}/samba/setup
%{_mandir}/man8/samba.8*
%{_mandir}/man8/samba_gpoupdate.8*
%{_mandir}/man8/samba-tool.8*
%else # with_dc
%doc packaging/README.dc
%endif # with_dc

### DC-LIBS
%files dc-libs
%defattr(-,root,root)
%if %with_dc
%{_libdir}/samba/libprocess-model-samba4.so
%{_libdir}/samba/libservice-samba4.so
%dir %{_libdir}/samba/process_model
%{_libdir}/samba/process_model/standard.so
%dir %{_libdir}/samba/service
%{_libdir}/samba/service/cldap.so
%{_libdir}/samba/service/dcerpc.so
%{_libdir}/samba/service/dns.so
%{_libdir}/samba/service/dns_update.so
%{_libdir}/samba/service/drepl.so
%{_libdir}/samba/service/kcc.so
%{_libdir}/samba/service/kdc.so
%{_libdir}/samba/service/ldap.so
%{_libdir}/samba/service/nbtd.so
%{_libdir}/samba/service/ntp_signd.so
%{_libdir}/samba/service/s3fs.so
%{_libdir}/samba/service/web.so
%{_libdir}/samba/service/winbindd.so
%{_libdir}/samba/service/wrepl.so
%{_libdir}/libdcerpc-server.so.*
%{_libdir}/samba/libdfs-server-ad-samba4.so
%{_libdir}/samba/libdnsserver-common-samba4.so
%{_libdir}/samba/libdsdb-module-samba4.so
%{_libdir}/samba/libntvfs-samba4.so
%{_libdir}/samba/bind9/dlz_bind9_9.so
%else
%doc packaging/README.dc-libs
%endif # with_dc

### DEVEL
%files devel
%defattr(-,root,root)
%{_includedir}/samba-4.0/charset.h
%{_includedir}/samba-4.0/core/doserr.h
%{_includedir}/samba-4.0/core/error.h
%{_includedir}/samba-4.0/core/hresult.h
%{_includedir}/samba-4.0/core/ntstatus.h
%{_includedir}/samba-4.0/core/ntstatus_gen.h
%{_includedir}/samba-4.0/core/werror.h
%{_includedir}/samba-4.0/core/werror_gen.h
%{_includedir}/samba-4.0/credentials.h
%{_includedir}/samba-4.0/dcerpc.h
%{_includedir}/samba-4.0/domain_credentials.h
%{_includedir}/samba-4.0/gen_ndr/atsvc.h
%{_includedir}/samba-4.0/gen_ndr/auth.h
%{_includedir}/samba-4.0/gen_ndr/dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/lsa.h
%{_includedir}/samba-4.0/gen_ndr/misc.h
%{_includedir}/samba-4.0/gen_ndr/nbt.h
%{_includedir}/samba-4.0/gen_ndr/drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_atsvc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/ndr_misc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_nbt.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr_c.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl_c.h
%{_includedir}/samba-4.0/gen_ndr/netlogon.h
%{_includedir}/samba-4.0/gen_ndr/samr.h
%{_includedir}/samba-4.0/gen_ndr/security.h
%{_includedir}/samba-4.0/gen_ndr/server_id.h
%{_includedir}/samba-4.0/gen_ndr/svcctl.h
%{_includedir}/samba-4.0/ldb_wrap.h
%{_includedir}/samba-4.0/lookup_sid.h
%{_includedir}/samba-4.0/machine_sid.h
%{_includedir}/samba-4.0/ndr.h
%dir %{_includedir}/samba-4.0/ndr
%{_includedir}/samba-4.0/ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/lsa.h
%{_includedir}/samba-4.0/gen_ndr/misc.h
%{_includedir}/samba-4.0/gen_ndr/nbt.h
%{_includedir}/samba-4.0/gen_ndr/drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_atsvc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/ndr_misc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_nbt.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr_c.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl_c.h
%{_includedir}/samba-4.0/gen_ndr/netlogon.h
%{_includedir}/samba-4.0/gen_ndr/samr.h
%{_includedir}/samba-4.0/gen_ndr/security.h
%{_includedir}/samba-4.0/gen_ndr/server_id.h
%{_includedir}/samba-4.0/gen_ndr/svcctl.h
%{_includedir}/samba-4.0/ldb_wrap.h
%{_includedir}/samba-4.0/lookup_sid.h
%{_includedir}/samba-4.0/machine_sid.h
%{_includedir}/samba-4.0/ndr.h
%dir %{_includedir}/samba-4.0/ndr
%{_includedir}/samba-4.0/ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/ndr/ndr_nbt.h
%{_includedir}/samba-4.0/netapi.h
%{_includedir}/samba-4.0/param.h
%{_includedir}/samba-4.0/passdb.h
%{_includedir}/samba-4.0/policy.h
%{_includedir}/samba-4.0/rpc_common.h
%{_includedir}/samba-4.0/samba/session.h
%{_includedir}/samba-4.0/samba/version.h
%{_includedir}/samba-4.0/share.h
%{_includedir}/samba-4.0/smb2_lease_struct.h
%{_includedir}/samba-4.0/smbconf.h
%{_includedir}/samba-4.0/smb_ldap.h
%{_includedir}/samba-4.0/smbldap.h
%{_includedir}/samba-4.0/tdr.h
%{_includedir}/samba-4.0/tsocket.h
%{_includedir}/samba-4.0/tsocket_internal.h
%dir %{_includedir}/samba-4.0/util
%{_includedir}/samba-4.0/util/attr.h
%{_includedir}/samba-4.0/util/blocking.h
%{_includedir}/samba-4.0/util/byteorder.h
%{_includedir}/samba-4.0/util/data_blob.h
%{_includedir}/samba-4.0/util/debug.h
%{_includedir}/samba-4.0/util/fault.h
%{_includedir}/samba-4.0/util/genrand.h
%{_includedir}/samba-4.0/util/idtree.h
%{_includedir}/samba-4.0/util/idtree_random.h
%{_includedir}/samba-4.0/util/memory.h
%{_includedir}/samba-4.0/util/safe_string.h
%{_includedir}/samba-4.0/util/signal.h
%{_includedir}/samba-4.0/util/string_wrappers.h
%{_includedir}/samba-4.0/util/substitute.h
%{_includedir}/samba-4.0/util/talloc_stack.h
%{_includedir}/samba-4.0/util/tevent_ntstatus.h
%{_includedir}/samba-4.0/util/tevent_unix.h
%{_includedir}/samba-4.0/util/tevent_werror.h
%{_includedir}/samba-4.0/util/tfork.h
%{_includedir}/samba-4.0/util/time.h
#%%{_includedir}/samba-4.0/util/xfile.h
%{_includedir}/samba-4.0/util_ldb.h
%{_libdir}/libdcerpc-binding.so
%{_libdir}/libdcerpc-samr.so
%{_libdir}/libdcerpc.so
%{_libdir}/libndr-krb5pac.so
%{_libdir}/libndr-nbt.so
%{_libdir}/libndr-standard.so
%{_libdir}/libndr.so
%{_libdir}/libnetapi.so
%{_libdir}/libsamba-credentials.so
%{_libdir}/libsamba-errors.so
%{_libdir}/libsamba-hostconfig.so
%{_libdir}/libsamba-policy.so
%{_libdir}/libsamba-util.so
%{_libdir}/libsamdb.so
%{_libdir}/libsmbconf.so
%{_libdir}/libtevent-util.so
%{_libdir}/pkgconfig/dcerpc.pc
%{_libdir}/pkgconfig/dcerpc_samr.pc
%{_libdir}/pkgconfig/ndr.pc
%{_libdir}/pkgconfig/ndr_krb5pac.pc
%{_libdir}/pkgconfig/ndr_nbt.pc
%{_libdir}/pkgconfig/ndr_standard.pc
%{_libdir}/pkgconfig/netapi.pc
%{_libdir}/pkgconfig/samba-credentials.pc
%{_libdir}/pkgconfig/samba-hostconfig.pc
%{_libdir}/pkgconfig/samba-policy.pc
%{_libdir}/pkgconfig/samba-util.pc
%{_libdir}/pkgconfig/samdb.pc
%{_libdir}/libsamba-passdb.so
%{_libdir}/libsmbldap.so

%if %with_dc
%{_includedir}/samba-4.0/dcerpc_server.h
%{_libdir}/libdcerpc-server.so
%{_libdir}/pkgconfig/dcerpc_server.pc
%endif

%if ! %with_libsmbclient
%{_includedir}/samba-4.0/libsmbclient.h
%endif # ! with_libsmbclient

%if ! %with_libwbclient
%{_includedir}/samba-4.0/wbclient.h
%endif # ! with_libwbclient

### VFS-CEPHFS
%if %{with_vfs_cephfs}
%files vfs-cephfs
%{_libdir}/samba/vfs/ceph.so
%{_mandir}/man8/vfs_ceph.8*
%endif

### VFS-GLUSTERFS
%if %{with_vfs_glusterfs}
%files vfs-glusterfs
%{_libdir}/samba/vfs/glusterfs.so
%{_mandir}/man8/vfs_glusterfs.8*
%endif

### KRB5-PRINTING
%files krb5-printing
%defattr(-,root,root)
%attr(0700,root,root) %{_libexecdir}/samba/smbspool_krb5_wrapper
%{_mandir}/man8/smbspool_krb5_wrapper.8*

### LIBS
%files libs
%defattr(-,root,root)
%{_libdir}/libdcerpc-samr.so.*
%{_libdir}/libsamba-policy.so.*

# libraries needed by the public libraries
%{_libdir}/samba/libMESSAGING-samba4.so
%{_libdir}/samba/libMESSAGING-SEND-samba4.so
%{_libdir}/samba/libLIBWBCLIENT-OLD-samba4.so
%{_libdir}/samba/libauth4-samba4.so
%{_libdir}/samba/libauth-unix-token-samba4.so
%{_libdir}/samba/libcluster-samba4.so
%{_libdir}/samba/libdcerpc-samba4.so
%{_libdir}/samba/libnon-posix-acls-samba4.so
%{_libdir}/samba/libsamba-net-samba4.so
%{_libdir}/samba/libsamba-python-samba4.so
%{_libdir}/samba/libshares-samba4.so
%{_libdir}/samba/libsmbpasswdparser-samba4.so
%{_libdir}/samba/libxattr-tdb-samba4.so

%if %with_dc
%{_libdir}/samba/libdb-glue-samba4.so
%{_libdir}/samba/libHDB-SAMBA4-samba4.so
%{_libdir}/samba/libasn1-samba4.so.8
%{_libdir}/samba/libasn1-samba4.so.8.0.0
%{_libdir}/samba/libcom_err-samba4.so.0
%{_libdir}/samba/libcom_err-samba4.so.0.25
%{_libdir}/samba/libgssapi-samba4.so.2
%{_libdir}/samba/libgssapi-samba4.so.2.0.0
%{_libdir}/samba/libhcrypto-samba4.so.5
%{_libdir}/samba/libhcrypto-samba4.so.5.0.1
%{_libdir}/samba/libhdb-samba4.so.11
%{_libdir}/samba/libhdb-samba4.so.11.0.2
%{_libdir}/samba/libheimbase-samba4.so.1
%{_libdir}/samba/libheimbase-samba4.so.1.0.0
%{_libdir}/samba/libhx509-samba4.so.5
%{_libdir}/samba/libhx509-samba4.so.5.0.0
%{_libdir}/samba/libkrb5-samba4.so.26
%{_libdir}/samba/libkrb5-samba4.so.26.0.0
%{_libdir}/samba/libroken-samba4.so.19
%{_libdir}/samba/libroken-samba4.so.19.0.1
%{_libdir}/samba/libwind-samba4.so.0
%{_libdir}/samba/libwind-samba4.so.0.0.0
%endif

### LIBSMBCLIENT
%if %with_libsmbclient
%files -n libsmbclient
%defattr(-,root,root)
%{_libdir}/libsmbclient.so.*

### LIBSMBCLIENT-DEVEL
%files -n libsmbclient-devel
%defattr(-,root,root)
%{_includedir}/samba-4.0/libsmbclient.h
%{_libdir}/libsmbclient.so
%{_libdir}/pkgconfig/smbclient.pc
%{_mandir}/man7/libsmbclient.7*
%endif # with_libsmbclient

### LIBWBCLIENT
%if %with_libwbclient
%files -n libwbclient
%defattr(-,root,root)
%{_libdir}/samba/wbclient/libwbclient.so.*
%{_libdir}/samba/libwinbind-client-samba4.so

### LIBWBCLIENT-DEVEL
%files -n libwbclient-devel
%defattr(-,root,root)
%{_includedir}/samba-4.0/wbclient.h
%{_libdir}/samba/wbclient/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc
%endif # with_libwbclient

### PIDL
%files pidl
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/pidl
%dir %{perl_vendorlib}/Parse
%{perl_vendorlib}/Parse/Pidl.pm
%dir %{perl_vendorlib}/Parse/Pidl
%{perl_vendorlib}/Parse/Pidl/CUtil.pm
%{perl_vendorlib}/Parse/Pidl/Samba4.pm
%{perl_vendorlib}/Parse/Pidl/Expr.pm
%{perl_vendorlib}/Parse/Pidl/ODL.pm
%{perl_vendorlib}/Parse/Pidl/Typelist.pm
%{perl_vendorlib}/Parse/Pidl/IDL.pm
%{perl_vendorlib}/Parse/Pidl/Compat.pm
%dir %{perl_vendorlib}/Parse/Pidl/Wireshark
%{perl_vendorlib}/Parse/Pidl/Wireshark/Conformance.pm
%{perl_vendorlib}/Parse/Pidl/Wireshark/NDR.pm
%{perl_vendorlib}/Parse/Pidl/Dump.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba3
%{perl_vendorlib}/Parse/Pidl/Samba3/ServerNDR.pm
%{perl_vendorlib}/Parse/Pidl/Samba3/ClientNDR.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4
%{perl_vendorlib}/Parse/Pidl/Samba4/Header.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4/COM
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Header.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Proxy.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Stub.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/Python.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/Template.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4/NDR
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Server.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Client.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Parser.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/TDR.pm
%{perl_vendorlib}/Parse/Pidl/NDR.pm
%{perl_vendorlib}/Parse/Pidl/Util.pm
%{_mandir}/man1/pidl*
%{_mandir}/man3/Parse::Pidl*

### PYTHON
%files python
%defattr(-,root,root,-)
%{python_sitearch}/*

### TEST
%files test
%defattr(-,root,root)
%{_bindir}/gentest
%{_bindir}/locktest
%{_bindir}/masktest
%{_bindir}/ndrdump
%{_bindir}/smbtorture
%{_mandir}/man1/gentest.1*
%{_mandir}/man1/locktest.1*
%{_mandir}/man1/masktest.1*
%{_mandir}/man1/ndrdump.1*
%{_mandir}/man1/smbtorture.1*
%{_mandir}/man1/vfstest.1*

%if %{with testsuite}
# files to ignore in testsuite mode
%{_libdir}/samba/libnss-wrapper.so
%{_libdir}/samba/libsocket-wrapper.so
%{_libdir}/samba/libuid-wrapper.so
%endif

### TEST-LIBS
%files test-libs
%defattr(-,root,root)
%if %with_dc
%{_libdir}/samba/libdlz-bind9-for-torture-samba4.so
%else
%{_libdir}/samba/libdsdb-module-samba4.so
%endif

### WINBIND
%files winbind
%defattr(-,root,root)
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_libdir}/samba/libnss-info-samba4.so
%{_libdir}/samba/libidmap-samba4.so
%{_sbindir}/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%{_unitdir}/winbind.service
%{_sysconfdir}/NetworkManager/dispatcher.d/30-winbind
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/idmap_*.8*

### WINBIND-CLIENTS
%files winbind-clients
%defattr(-,root,root)
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_mandir}/man1/ntlm_auth.1.*
%{_mandir}/man1/wbinfo.1*

### WINBIND-KRB5-LOCATOR
%files winbind-krb5-locator
%defattr(-,root,root)
%ghost %{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so
%{_libdir}/winbind_krb5_locator.so
%{_mandir}/man7/winbind_krb5_locator.7*

### WINBIND-MODULES
%files winbind-modules
%defattr(-,root,root)
%{_libdir}/libnss_winbind.so*
%{_libdir}/libnss_wins.so*
%{_libdir}/security/pam_winbind.so
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%{_mandir}/man5/pam_winbind.conf.5*
%{_mandir}/man8/pam_winbind.8*

%if %with_clustering_support
%files -n ctdb
%defattr(-,root,root)
%doc ctdb/README
%config(noreplace) %{_sysconfdir}/sysconfig/ctdb
%{_sysconfdir}/ctdb/notify.sh
%{_sysconfdir}/ctdb/debug-hung-script.sh
%{_sysconfdir}/ctdb/ctdb-crash-cleanup.sh
%{_sysconfdir}/ctdb/gcore_trace.sh
%{_sysconfdir}/ctdb/functions
%{_sysconfdir}/ctdb/debug_locks.sh
%dir %{_localstatedir}/lib/ctdb/

%{_unitdir}/ctdb.service

%dir %{_sysconfdir}/ctdb
%{_sysconfdir}/ctdb/statd-callout
# CTDB scripts, no config files
# script with executable bit means activated
%dir %{_sysconfdir}/ctdb/nfs-checks.d
%{_sysconfdir}/ctdb/nfs-checks.d/00.portmapper.check
%{_sysconfdir}/ctdb/nfs-checks.d/10.status.check
%{_sysconfdir}/ctdb/nfs-checks.d/20.nfs.check
%{_sysconfdir}/ctdb/nfs-checks.d/30.nlockmgr.check
%{_sysconfdir}/ctdb/nfs-checks.d/40.mountd.check
%{_sysconfdir}/ctdb/nfs-checks.d/50.rquotad.check
%{_sysconfdir}/ctdb/nfs-checks.d/README
%{_sysconfdir}/ctdb/nfs-linux-kernel-callout
%config %{_sysconfdir}/sudoers.d/ctdb
# CTDB scripts, no config files
# script with executable bit means activated
%dir %{_sysconfdir}/ctdb/events.d
%{_sysconfdir}/ctdb/events.d/00.ctdb
%{_sysconfdir}/ctdb/events.d/01.reclock
%{_sysconfdir}/ctdb/events.d/05.system
%{_sysconfdir}/ctdb/events.d/06.nfs
%{_sysconfdir}/ctdb/events.d/10.external
%{_sysconfdir}/ctdb/events.d/10.interface
%{_sysconfdir}/ctdb/events.d/11.natgw
%{_sysconfdir}/ctdb/events.d/11.routing
%{_sysconfdir}/ctdb/events.d/13.per_ip_routing
%{_sysconfdir}/ctdb/events.d/20.multipathd
%{_sysconfdir}/ctdb/events.d/31.clamd
%{_sysconfdir}/ctdb/events.d/40.vsftpd
%{_sysconfdir}/ctdb/events.d/41.httpd
%{_sysconfdir}/ctdb/events.d/49.winbind
%{_sysconfdir}/ctdb/events.d/50.samba
%{_sysconfdir}/ctdb/events.d/60.nfs
%{_sysconfdir}/ctdb/events.d/70.iscsi
%{_sysconfdir}/ctdb/events.d/91.lvs
%{_sysconfdir}/ctdb/events.d/99.timeout
%{_sysconfdir}/ctdb/events.d/README
%dir %{_sysconfdir}/ctdb/notify.d
%{_sysconfdir}/ctdb/notify.d/README
%{_tmpfilesdir}/ctdb.conf
%{_sbindir}/ctdbd
%{_sbindir}/ctdbd_wrapper
%{_bindir}/ctdb
%{_bindir}/ping_pong
%{_bindir}/ltdbtool
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode
%dir %{_libexecdir}/ctdb
%{_libexecdir}/ctdb/ctdb_event_helper
%{_libexecdir}/ctdb/ctdb_killtcp
%{_libexecdir}/ctdb/ctdb_lock_helper
%{_libexecdir}/ctdb/ctdb_lvs
%{_libexecdir}/ctdb/ctdb_mutex_fcntl_helper
%{_libexecdir}/ctdb/ctdb_natgw
%{_libexecdir}/ctdb/ctdb_recovery_helper
%{_libexecdir}/ctdb/smnotify

%{_mandir}/man1/ctdb.1.*
%{_mandir}/man1/ctdb_diagnostics.1.*
%{_mandir}/man1/ctdbd.1.*
%{_mandir}/man1/onnode.1.*
%{_mandir}/man1/ltdbtool.1.*
%{_mandir}/man1/ping_pong.1.*
%{_mandir}/man1/ctdbd_wrapper.1.*
%{_mandir}/man5/ctdbd.conf.5.*
%{_mandir}/man7/ctdb.7.*
%{_mandir}/man7/ctdb-tunables.7.*
%{_mandir}/man7/ctdb-statistics.7.*

%files -n ctdb-tests
%defattr(-,root,root)
%dir %{_libexecdir}/ctdb/tests
%{_libexecdir}/ctdb/tests/comm_client_test
%{_libexecdir}/ctdb/tests/comm_server_test
%{_libexecdir}/ctdb/tests/comm_test
%{_libexecdir}/ctdb/tests/ctdb_packet_parse
%{_libexecdir}/ctdb/tests/ctdb_takeover_tests
%{_libexecdir}/ctdb/tests/db_hash_test
%{_libexecdir}/ctdb/tests/fake_ctdbd
%{_libexecdir}/ctdb/tests/fetch_loop
%{_libexecdir}/ctdb/tests/fetch_loop_key
%{_libexecdir}/ctdb/tests/fetch_readonly
%{_libexecdir}/ctdb/tests/fetch_readonly_loop
%{_libexecdir}/ctdb/tests/fetch_ring
%{_libexecdir}/ctdb/tests/g_lock_loop
%{_libexecdir}/ctdb/tests/lock_tdb
%{_libexecdir}/ctdb/tests/message_ring
%{_libexecdir}/ctdb/tests/pkt_read_test
%{_libexecdir}/ctdb/tests/pkt_write_test
%{_libexecdir}/ctdb/tests/porting_tests
%{_libexecdir}/ctdb/tests/protocol_client_test
%{_libexecdir}/ctdb/tests/protocol_types_test
%{_libexecdir}/ctdb/tests/rb_test
%{_libexecdir}/ctdb/tests/reqid_test
%{_libexecdir}/ctdb/tests/srvid_test
%{_libexecdir}/ctdb/tests/transaction_loop
%{_libexecdir}/ctdb/tests/update_record
%{_libexecdir}/ctdb/tests/update_record_persistent
%{_bindir}/ctdb_run_tests
%{_bindir}/ctdb_run_cluster_tests
%dir %{_datadir}/ctdb-tests/eventscripts
%{_datadir}/ctdb-tests/eventscripts/etc-ctdb/events.d
%{_datadir}/ctdb-tests/eventscripts/etc-ctdb/functions
%{_datadir}/ctdb-tests/eventscripts/etc-ctdb/nfs-checks.d
%{_datadir}/ctdb-tests/eventscripts/etc-ctdb/nfs-linux-kernel-callout
%{_datadir}/ctdb-tests/eventscripts/etc-ctdb/statd-callout
%dir %{_datadir}/ctdb-tests/onnode
%{_datadir}/ctdb-tests/onnode/functions
%dir %{_datadir}/ctdb-tests/scripts
%{_datadir}/ctdb-tests/scripts/common.sh
%{_datadir}/ctdb-tests/scripts/integration.bash
%{_datadir}/ctdb-tests/scripts/script_install_paths.sh
%{_datadir}/ctdb-tests/scripts/test_wrap
%{_datadir}/ctdb-tests/scripts/unit.sh
%dir %{_datadir}/ctdb-tests/simple
%{_datadir}/ctdb-tests/simple/functions
%{_datadir}/ctdb-tests/simple/nodes
%doc ctdb/tests/README
%endif # with_clustering_support


%changelog
* Tue Jul 03 2018 Masanobu Sato <satoshiga@momonga-linux.org>
- (4.8.3-2m)
- revised spec file for installing systemd unit file

* Sun Jul 01 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (4.8.3-1m)
- update 4.8.3

* Mon Dec 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.7.2-1m)
- update 4.7.2

* Mon Nov 06 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.7.1-1m)
- update 4.7.1

* Wed Sep 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.8-1m)
- update 4.6.8

* Fri Aug 11 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.7-1m)
- update 4.6.7

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.4-1m)
- update 4.6.4

* Mon May 01 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.3-1m)
- update 4.6.3

* Sat Apr 01 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.2-1m)
- update 4.6.2

* Fri Mar 24 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.1-1m)
- update 4.6.1

* Sun Jan 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.4-2m)
- rebuild against 4.5.2

* Mon Jan 23 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.4-1m)
- update 4.5.4

* Mon Dec 12 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.2-1m)
- update 4.5.2

* Thu Sep 22 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.0-1m)
- update 4.5.0

* Thu Sep 22 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.3.11-1m)
- update 4.3.11

* Wed Feb 24 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.3.5-1m)
- update 4.3.5

* Tue Jan 12 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.3.4-1m)
- update 4.3.4

* Fri Dec 18 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (4.3.3-1m)
- update 4.3.3

* Sat Oct 24 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (4.1.21-1m)
- update 4.1.21

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.1.11-2m)
- add BuildRequires

* Wed Aug  6 2014 NARITA Koichi <pulsar[momonga-linux.org>
- (4.1.11-1m)
- [SECURITY] CVE-2014-3560
- update to 4.1.11

* Tue Jul 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.10-1m)
- update to 4.1.10

* Wed Jul 23 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.9-3m)
- rebuild against cyrus-sasl-2.1.26

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.9-2m)
- rebuild against perl-5.20.0

* Wed Jun 25 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.1.9-1m)
- [SECURITY] CVE-2014-0244 CVE-2014-3493
- update to 4.1.9

* Sun May 25 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.7-2m)
- add patch1 to fix startup smbd problem

* Mon Apr 28 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.7-1m)
- update to 4.1.7

* Sun Mar 16 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.6-1m)
- [SECURITY] CVE-2013-4496 CVE-2013-6442
- update to 4.1.6

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.4-2m)
- rebuild against perl-5.18.2

* Sat Jan 11 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.4-1m)
- update to 4.1.4

* Thu Dec 12 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.3-1m)
- [SECURITY] CVE-2012-6150 CVE-2013-4408
- update to 4.1.3

* Sun Nov 24 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.2-1m)
- update to 4.1.2

* Tue Nov 12 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.1-1m)
- [SECURITY] CVE-2013-4475 CVE-2013-4476
- update to 4.1.1

* Fri Oct 11 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-1m)
- update to 4.1.0
- swat was OBSOLETED

* Tue Oct  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.10-1m)
- update to 4.0.10

* Thu Aug 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.9-1m)
- update to 4.0.9

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.8-2m)
- rebuild against perl-5.18.1

* Tue Aug  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.8-1m)
- [SECURITY] CVE-2013-4124
- update to 4.0.8

* Sun Jul  7 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.7-1m)
- update to 4.0.7

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.6-1m)
- update to 4.0.6
- rebuild against perl-5.18.0

* Tue Apr  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.5-1m)
- update to 4.0.5

* Tue Mar 19 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.4-1m)
- [SECURITY] CVE-2013-1863
- update to 4.0.4

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-2m)
- rebuild against perl-5.16.3

* Wed Feb  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3

* Wed Jan 30 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-1m)
- [SECURITY] CVE-2013-0213 CVE-2013-0214
- update to 4.0.2

* Sun Jan 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-2m)
- apply mnb.service patch, many thanks to toshiharu san

* Wed Jan 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-1m)
- [SECURITY] CVE-2013-0172
- update to 4.0.1

* Sat Dec 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-1m)
- update to 4.0.0 (sync Fedora)

* Tue Dec 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6.10-1m)
- update to 3.6.10

* Wed Oct 31 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6.9-1m)
- update to 3.6.9

* Tue Aug  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6.7-1m)
- update to 3.6.7

* Thu Jul 12 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6.6-1m)
- update to 3.6.6

* Tue May  1 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6.5-1m)
- [SECURITY] CVE-2012-2111
- update to 3.6.5

* Wed Apr 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6.4-1m)
- [SECURITY] CVE-2012-1182
- update to 3.6.4

* Tue Mar 13 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.3-2m)
- better support systemd
-- post section support native systemd

* Mon Jan 30 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6.3-1m)
- [SECURITY] CVE-2012-0817
- update to 3.6.3

* Fri Oct 21 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.1-1m)
- update 3.6.1

* Sun Oct  2 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.0-3m)
- support systemd

* Sun Aug 14 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.6.0-2m)
- release a directory provided by openldap-servers

* Thu Aug 11 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6.0-1m)
- update to 3.6.0

* Thu Aug  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.11-1m)
- update to 3.5.11

* Wed Jul 27 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.10-1m)
- [SECURITY] CVE-2011-2522 CVE-2011-2694
- update to 3.5.10

* Sat Jun 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.9-1m)
- update to 3.5.9

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.8-2m)
- rebuild for new GCC 4.6

* Mon Mar  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to 3.5.8

* Tue Mar  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- [SECURITY] CVE-2011-0719
- update to 3.5.7

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.6-2m)
- rebuild for new GCC 4.5

* Sat Oct  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to 3.5.6

* Fri Sep 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- [SECURITY] CVE-2010-3069
- update to 3.5.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.4-3m)
- full rebuild for mo7 release

* Sun Jul 18 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.5.4-2m)
- separate out cifs-utils to cifs-utils.spec

* Thu Jun 24 2010 MARITA Koichi <pulsar@momonga-linux.org>
- (3.5.4-1m)
- update to 3.5.4

* Thu May 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.3-1m)
- update to 3.5.3

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.2-2m)
- rebuild against readline6

* Wed Apr  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.2-1m)
- [SECURITY] CVE-2010-1635 CVE-2010-1642
- update to 3.5.2

* Wed Mar 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.1-1m)
- [SECURITY] CVE-2010-0728
- update to 3.5.1

* Tue Mar  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.0-1m)
- update to 3.5.0
- sync with Fedora devel

* Fri Feb 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.6-1m)
- [SECURITY] CVE-2010-0926
- update to 3.4.6

* Fri Jan 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.5-2m)
- [SECURITY] CVE-2009-3297 CVE-2010-0547 CVE-2010-0787
- import security patch from F-12
- import #541267 patch (fix crash in pdbedit) from F-12

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.5-1m)
- update to 3.4.5

* Sun Jan 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.4-1m)
- update to 3.4.4

* Mon Nov 23 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.3-1m)
- use external talloc and tdb
- update to 3.4.3

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.3.9-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.9-1m)
- updateto 3.3.9

* Sat Oct  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.8-1m)
- [SECURITY] CVE-2009-2813 CVE-2009-2948 CVE-2009-2906
- update to 3.3.8

* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.7-1m)
- update to 3.3.7

* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-1m)
- [SECURITY] CVE-2009-1886 CVE-2009-1888
- update to 3.3.6

* Thu Jun 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-2m)
- set tdb_rel and talloc_rel
- DO NOT DECREASE Release without Version upgrade

* Thu Jun 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.5-1m)
- update to 3.3.5

* Tue May 19 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.4-2m)
- rebuild against libunwind-0.99

* Sat May 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.4-1m)
- update to 3.3.4
- import patches from Fedora devel

* Sat Feb  7 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.3.0-1m)
- update to 3.3.0
-- update Source1,5,8,999 from Rawhide (3.3.0-0.25)
-- import an upstream patch (Patch201)
- License: GPLv3+ and LGPLv3+

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.7-2m)
- rebuild against rpm-4.6

* Mon Jan  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.7-1m)
- [SECURITY] CVE-2009-0022
- update to 3.2.7

* Sat Nov 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.5-1m)
- [SECURITY] CVE-2008-4314
- update to 3.2.5

* Fri Sep 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.4-1m)
- update to 3.2.4

* Sat Sep 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.3-1m)
- update to 3.2.3

* Sun Aug 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.2-1m)
- update to 3.2.2
- cifs.spnego was renamed to cifs.upcall

* Wed Aug  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Mon Jul 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.0-2m)
- modify Requires

* Sat Jul 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0 and sync with Fedora devel

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.30-1m)
- [SECURITY] CVE-2008-1105
- update to 3.0.30

* Sun May 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.29-1m)
- update to 3.0.29
- delete unused patch

* Sun Apr 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.28a-3m)
- add patch1001 (for kernel 2.6.25) build fix only

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.28a-2m)
- rebuild against gcc43

* Mon Mar 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.28a-1m)
- update to 3.0.28a

* Wed Feb 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.28-3m)
- rebuild against openldap-2.4.8
- fix glibc-2.8

* Sat Dec 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.28-2m)
- revised hyper links from SWAT top page

* Tue Dec 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.28-1m)
- [SECURITY] CVE-2007-6015
- version up 3.0.28

* Thu Nov 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.27a-1m)
- [SECURITY] CVE-2007-4572 CVE-2007-5398

* Sat Nov 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.27-1m)
- [SECURITY] CVE-2007-5398
- version up 3.0.27
- add samba-3.0.27-smbfs-mount-regression.patch, this patch will not need 3.0.27a

* Thu Sep 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.26a-1m)
- [SECURITY] CVE-2007-4138
- version up 3.0.26a

* Sat Jun 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.0.25a-3m)
- rebuild against cups-1.2.11-3m for lib64 issue

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.25a-2m)
- modify Requires for mph-get-check

* Sun May 27 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.25a-1m)
- [SECURITY] CVE-2007-2444 CVE-2007-2446 CVE-2007-2447
- version up 3.0.25a
- sync Fedora

* Thu May 10 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.24-1m)
- [SECURITY] CVE-2007-0452 CVE-2007-0454
- version up 3.0.24

* Sat Nov 25 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.23d-1m)
- version up 3.0.23d
- remove samba-3.0.20pre1-man.patch

* Wed Sep 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.23c-2m)
- modify Prereq for mph-get-check

* Fri Sep 08 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.23c-1m)
- version up 3.0.23c

* Sun Aug 13 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.23b-1m)
- version up 3.0.23b

* Tue Jul 11 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.22-4m)
- [SECURITY] CVE-2006-3403
- http://www.samba.org/samba/security/CAN-2006-3403.html

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.22-3m)
- rebuild against readline-5.0

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.22-2m)
- rebuild against openssl-0.9.8a

* Mon Mar 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.22-1m)
- update to 3.0.22
- [SECURITY] CVE-2006-1059
- http://us1.samba.org/samba/security/CVE-2006-1059.html

* Sun Jan 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.21a-2m)
- modify CFLAGS to avoid crashing arts with xine-lib-smb (gcc-4.1.0-0.8m)

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.21a-1m)
- upgrade samba-3.0.21a
- sync with fc-devel

* Tue Apr 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.14a-2m)
- modify smb.conf

* Tue Apr 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.14a-1m)
- update

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.10-2m)
- revised docdir permission

* Sat Feb 5 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.0.10-1m)
- security fix. http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-1154
- import all patches and spec from FC devel

* Mon Nov 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.9-1m)
- minor bug fix release.

* Wed Nov 10 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.8-1m)
- update to 3.0.8
  including security fixes.
  [references]
  http://www.st.ryukoku.ac.jp/~kjm/security/ml-archive/bugtraq/2004.11/msg00096.html
  http://us1.samba.org/samba/ftp/WHATSNEW-3-0-8.txt

* Sun Sep 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.7-1m)
- update to 3.0.7

* Fri Sep  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.6-1m)
- including security fixes

* Fri Jul 30 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.5-2m)
- add International Patch

* Fri Jul 30 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.5-1m)
- verion up (SECURITY FIX)
- See CAN-2004-0600 and CAN-2004-0686

* Tue May 11 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.4-1m)

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0.2a-3m)
- revised spec for rpm 4.2.

* Sun Mar  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.2a-2m)
- generate i586 binary if target is i686 (-march=i686 causes internal compiler error on gcc-3.2.3-12m)

* Sun Feb 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2a-1m)

* Sun Feb 15 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.2-1m)
- Version 3.0.2
- added mount.cifs
- added /usr/bin/tdbdump
- removed testparm patch as it's already merged
- updated logfiles patch
- removed old patch files from repository

* Wed Jan  7 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.0-5m)
- add some binaries to "%%files common" section
  (smbcquotas, profiles, ntlm_auth and pdbedit)
- remove "%%makeinstall installclientlib" from %%install section
  because "make installclientlib" is included in "make install"

* Fri Jan  2 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.0-4m)
- fix mount option problem
  see http://www.samba.gr.jp/ml/article/sugj-tech/msg05996.html

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.0-3m)
- rebuild against openldap

* Wed Nov  5 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.0-2m)
- remove %%{with_gcc296} macros.
  It is not necessary any longer.(may be...)

* Tue Nov 4 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.0-1m)
- version 3.0.0
- remove old patches
- add samba-3.0.0-logfiles.patch (rawhide)
- add samba-3.0.0beta1-pipedir.patch (rawhide)
- add samba-3.0.0rc3-nmbd-netbiosname.patch (rawhide)
- add samba-3.0.0rc4-testparm.patch (rawhide)
- modify %%files section and %%install section

* Fri Jul 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-7m)
- update to beta7

* Wed Jul 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.8a-6m)
- include libsmbclient

* Fri Jul 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-5m)
- update to ja-1.1-beta6
- enable smbwrapper

* Mon Jul 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-4m)
- update to ja-1.1-beta5
- glab some man pages

* Mon Jul  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-3m)
- update to ja-1.1-beta4

* Thu Jun 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-2m)
- update to ja-1.1-beta3
- revise configure options

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-1m)
- update  to 2.2.8a release
- add %%{?_smp_mflags}

* Thu Apr 24 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.8a-0.1.2m)
- enable --with-ldapsam and install smbldap-tools when %%{with_ldapsam} == 1.

* Wed Apr  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.8a-0.1.1m)
  update to 2.2.8a-ja-1.0-alpha1

* Tue Apr  8 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.7a-3m)
- apply security patch from 2.2.8a

* Tue Mar 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.7a-2m)
- update  to 2.2.7a-ja-1.1
  [security]  This release includes secutiry update
  see http://www.samba.gr.jp/ml/samba-jp/htdocs/200303.month/14349.html
- use gcc-3.2.2 by default

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.7a-1m)
  rebuild against openssl 0.9.7a

* Sat Dec 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.5-5m)
- revise for ppc

* Fri Dec 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.5-4m)
- only samba-swat requires xinetd

* Mon Nov 25 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-3m)
-  include_specopt
-  use gcc-2.96 by default.
   if with_gcc296 is defined as 0, use gcc-3.2 instead.

* Thu Nov  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-2m)
- delete BuildPreReq: gcc2.95.3

* Thu Sep  5 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.2.5-1m)
- Version up to 2.2.5
- ja 1.0beta3
- samba-2.2.5-lprng.patch (fromrawhide)

* Mon Aug 12 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.2.4-1m)
- Ver. up
- *.pid is in /var/run/samba
- add samba-2.2.3-smbadduserloc.patch (from rawhide)
- add samba-2.2.4-logname.patch

* Fri Apr 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.2-6k)
- '%{initdir}' -> %{_initscriptdir}

* Thu Apr 25 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.2-4k)
- 'chmod -x' docs to avoid suspicious requirements

* Mon Apr 22 2002 Masahiro Takahata <takahata@kondara.org>
- (2.2.2-2k)
- upgrade to 2.2.2-ja-1.1
- separate swat package
- This spec file is rewritten so that
-      it might be based as much as possible on rawhide.

* Fri Nov 30 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-16k)
- update ja-1.2
- fix installing documents

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.0.10-14k)
- nigittenu

* Mon Nov  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.10-12k)
- add samba-2.0.10-kernel-2.4.13-fix.patch for building on kernel 2.4.3

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (2.0.10-10k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.0.10-8k)
- rebuild against gettext 0.10.40.

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.10-6k)
- errased the process concerning with /etc/service

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Tue Sep 09 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-4k)
- update to samba-2.0.10-ja1.1

* Sat Jul  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-2k)
- update to samba-2.0.10-ja1.0
- disable samba-2.0.7-wildcard.patch

* Thu Jul  5 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.9-8k)
- fix privatedir path /etc to /etc/samba. (Jitterbug #905)

* Tue Jun 19 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-6k)
- fix path /bin/paswd to /usr/bin/passwd (samba-fixpath.patch)
- delete smbrun.1*

* Mon May 28 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-4k)
- update to samba-2.0.9-ja-1.0
- add BuildPrereq: pam-devel

* Sat May 12 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-2k)
- update to samba-2.0.9-ja-1.0beta1

* Tue May  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.7-38k)
- remove %triggerpre
- update samba-2.0.7-ja.2.2

* Fri May  4 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-36k)
- rebuild by gcc 2.95.3 :-P

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-34k)
- rebuild against openssl 0.9.6.

* Wed Feb  7 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-32k)
- update to samba-2.0.7-ja.2.2b4.
- bugfix %files section.

* Mon Feb  5 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-30k)
- add man-pages of smbumount.

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-29k)
- rebuild againt rpm-3.0.5-39k
- modified samba-fixinit.patch

* Thu Jan 26 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-27k)
- update to 2.0.7-ja-2.2b3.
- remove using-samba and using_samba from docdir.
- be selectable inetd or xinetd. (default is xinetd)
- use logfilename log.smb and log.nmb.
- change dirctory of codepages to /etc/samba/codepages.

* Mon Jan 08 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-25k)
- merge samba-ja to samba

* Fri Dec 01 2000 Kenichi Matsubara <m@kondara.org>
- package name change sambaJP to samba-ja.

* Mon Nov 07 2000 Toyokazu WATABE <toy2@kondara.org>
- add samba-2.0.7-swat.patch including security fix.

* Mon Nov 04 2000 Toyokazu WATABE <toy2@kondara.org>
- update for 2.0.7_ja_2.1-1k
- use macros.

* Mon Oct 16 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_2.0-1k

* Sun Sep 17 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_1.3-1k

* Tue Sep 05 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_20000904-1k

* Thu Aug 31 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_20000828-1k
- add samba-2.0.7-ja-cgi-security.patch
  (patch from samba-2.0.7-ja-1.2 to samba-2.0.7-ja-1.2a)
- adapt to FHS-2.1
- add /usr/sbin/tcpd to configuration of swat in inetd.conf.
- replace samba-2.0.3-fixinit.patch to samba-2.0.7-fixinit.patch

* Thu Aug 17 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000814-1k
- add Provides samba

* Sun Aug 14 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000814-0k (2.0.7-ja-1.3 beta release)

* Sun Aug 13 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000807-0k (2.0.7-ja-1.3 beta release)

* Sat Jul 8 2000 TAKAHASHI Motonobu <monyo@samba.gr.jp>
- Added smb-useradd and smb-userdel scripts
- Fixed some Japanese expression
- SWAT is invoked via tcp
- create STATUS..LCK during installation

* Fri Jul 7 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added Japanese manual pages

* Sun May 28 2000 AYUHANA Tomonori <l@kondara.org>
- Obsoletes: samba

* Sat May 27 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added support for "HowToUseSamba" Document
- Update spec file Japanese description.

* Sat May 6 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added support for "i18n SWAT"

* Mon Mar 13 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group )
- locale chenged ja_JP.ujis -> ja_JP.eucJP

* Tue Feb  8 2000 Toru Hoshina <t@kondara.org>
- fix alpha problem.

* Tue Jan 25 2000 Takaaki Tabuchi <tab@kondara.org>
- tiny change Version , Source URL.

* Mon Jan 24 2000 Tenkou N. Hattori <tnh@kondara.org>
- kondarize.

*Mon Jan 10 2000 kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Red Hat Linux 6.1(J) without smbsh

*Mon Jan 10 2000 Kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Laser5 Linux 6.0

*Fri Jan 07 2000 Kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Red Hat Linux 6.1(J)

*Mon Nov 12 1999 Motonobu Takahashi <monyo@samba.gr.jp>
- support japanese common names (translated by nakaya)

*Mon Sep 20 1999 Koji Odagiri <odagiri@samba.gr.jp>
- japanize swat (translated by nakaya)

*Mon Sep 20 1999 Satoshi Osawa <osawa@po.fes.co.jp>
- add japanese parts to spec (translated by nakaya)

* Sun Jul 24 1999 Hideya Hane <Vine@flatout.org>
- rebuild for Vine Linux 1.1

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map
